org.apache.sysds.runtime.matrix.operators

## Class UnaryOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.UnaryOperator

All Implemented Interfaces:
  Serializable

    public class UnaryOperator
    extends Operator

See Also:
  Serialized Form

### Field Summary

Fields
`ValueFunction` `fn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

### Constructor Summary

Constructors
Constructor and Description
`UnaryOperator(ValueFunction p)`
`UnaryOperator(ValueFunction p, int numThreads, boolean inPlace)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getNumThreads()`
`double` `getPattern()`
`boolean` `isInplace()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fn

    public final ValueFunction fn

### Constructor Detail

#### UnaryOperator

    public UnaryOperator(ValueFunction p)

#### UnaryOperator

    public UnaryOperator(ValueFunction p,
                         int numThreads,
                         boolean inPlace)

### Method Detail

#### getNumThreads

    public int getNumThreads()

#### isInplace

    public boolean isInplace()

#### getPattern

    public double getPattern()